$ErrorActionPreference = 'Stop'

$packageArgs = @{
  PackageName    = $env:ChocolateyPackageName
  SoftwareName   = "Qobuz*"
  SilentArgs     = "-s"
  FileType       = "EXE"
  ValidExitCodes = @(0)
  Url            = 'https://desktop.qobuz.com/releases/win32/ia32/windows7_8_10/7.1.4-b008/Qobuz_ia32_Installer.exe'
  Checksum       = 'E6F7A5A1D51D7DBDD62CB282B85A3B2F1AC461FA460214DA0CF2CD57B9C2D055'
  ChecksumType   = "sha256"
  Url64bit       = 'https://desktop.qobuz.com/releases/win32/x64/windows7_8_10/7.1.4-b008/Qobuz_Installer.exe'
  Checksum64     = 'E230EBF49579575EEAD5AC6CE852B59AC5775680990125BD20E1F4084932A5C8'
  ChecksumType64 = "sha256"
}

# Check if the installed version matches the product version
$DisplayVersion = '7.1.4-b008'
if (($Installed = Get-UninstallRegistryKey -softwareName 'Qobuz*' -WarningAction SilentlyContinue) -and $Installed.DisplayVersion -eq $DisplayVersion) {
  Write-Host "Version '$($Installed.DisplayVersion)' is already installed in '$(Split-Path $Installed.DisplayIcon)'. No action required."
  return
}

Install-ChocolateyPackage @packageArgs
